org.apache.solr.client.solrj.impl

## Class ConcurrentUpdateSolrServer

- java.lang.Object
- - org.apache.solr.client.solrj.SolrClient
  - - org.apache.solr.client.solrj.impl.ConcurrentUpdateSolrClient
    - - org.apache.solr.client.solrj.impl.ConcurrentUpdateSolrServer

All Implemented Interfaces:
  Serializable

Deprecated.
Use `ConcurrentUpdateSolrClient`

    @Deprecated
    public class ConcurrentUpdateSolrServer
    extends ConcurrentUpdateSolrClient

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentUpdateSolrServer(String solrServerUrl, org.apache.http.client.HttpClient client, int queueSize, int threadCount)` Deprecated.
`ConcurrentUpdateSolrServer(String solrServerUrl, org.apache.http.client.HttpClient client, int queueSize, int threadCount, ExecutorService es)` Deprecated.
`ConcurrentUpdateSolrServer(String solrServerUrl, org.apache.http.client.HttpClient client, int queueSize, int threadCount, ExecutorService es, boolean streamDeletes)` Deprecated.
`ConcurrentUpdateSolrServer(String solrServerUrl, int queueSize, int threadCount)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.impl.ConcurrentUpdateSolrClient

`blockUntilFinished, getQueryParams, handleError, onSuccess, request, setConnectionTimeout, setParser, setPollQueueTime, setQueryParams, setRequestWriter, setSoTimeout, shutdown, shutdownNow`

### Methods inherited from class org.apache.solr.client.solrj.SolrClient

`add, add, add, add, addBean, addBean, addBeans, addBeans, commit, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, getBinder, optimize, optimize, optimize, ping, query, query, queryAndStreamResponse, rollback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentUpdateSolrServer

    public ConcurrentUpdateSolrServer(String solrServerUrl,
                              int queueSize,
                              int threadCount)

Deprecated.

#### ConcurrentUpdateSolrServer

    public ConcurrentUpdateSolrServer(String solrServerUrl,
                              org.apache.http.client.HttpClient client,
                              int queueSize,
                              int threadCount)

Deprecated.

#### ConcurrentUpdateSolrServer

    public ConcurrentUpdateSolrServer(String solrServerUrl,
                              org.apache.http.client.HttpClient client,
                              int queueSize,
                              int threadCount,
                              ExecutorService es)

Deprecated.

#### ConcurrentUpdateSolrServer

    public ConcurrentUpdateSolrServer(String solrServerUrl,
                              org.apache.http.client.HttpClient client,
                              int queueSize,
                              int threadCount,
                              ExecutorService es,
                              boolean streamDeletes)

Deprecated.